<?php
/*
Plugin Name: Disable Comment Date
Description: Wtyczka usuwa Date i godzine z komentarzy
Author: Szymeg & Kubu
Version: 1.1.1
*/

function wpdocs_theme_name_scripts() {
    $options = get_option( 'wpdcd_settings' ); // defined $options to call it in switch

    wp_enqueue_style('css',plugin_dir_url(__FILE__).'style.css'); // main css loaded  

    switch ($options['wpdcd_select_field_0']) {  //switch that load styles of skins
        case 1:
        wp_enqueue_style('simple',plugin_dir_url(__FILE__).'simple.css');
            break;
        case 2:
        wp_enqueue_style('right',plugin_dir_url(__FILE__).'right.css');
            break;
        case 3:
        wp_enqueue_style('elegant',plugin_dir_url(__FILE__).'elegant.css');
      break;    
    case 4:
      wp_enqueue_style('green',plugin_dir_url(__FILE__).'fourth.css');
      break;    
    case 5:
      wp_enqueue_style('flat_des',plugin_dir_url(__FILE__).'flat_des.css');
      break;  
  }
   
}
add_action( 'wp_enqueue_scripts', 'wpdocs_theme_name_scripts' );

function plugin_options_page_style() {
  wp_enqueue_style('css',plugin_dir_url(__FILE__).'disable-comment-date-style.css'); // options page css loaded  
}

add_action( 'admin_enqueue_scripts', 'plugin_options_page_style' );


function admin_plugin_script(){	
	wp_register_script( 'jquery3.2.1', 'https://code.jquery.com/jquery-3.2.1.min.js' );
	wp_add_inline_script( 'jquery3.2.1', 'var jQuery3_2_1 = $.noConflict(true);' );
	wp_enqueue_script( 'plugin-javascript', plugin_dir_url(__FILE__).'main.js', array( 'jquery3.2.1' ) );
}

add_action( 'admin_enqueue_scripts', 'admin_plugin_script' );


function myplugin_init() {
    $plugin_rel_path = basename( dirname( __FILE__ ) ) . '/languages'; /* Relative to WP_PLUGIN_DIR */
    load_plugin_textdomain( 'wp-dcd', false, $plugin_rel_path );
}
add_action('plugins_loaded', 'myplugin_init');


function my_plugin_comment_template( $comment_template ) { // override comments template from theme to plugin's version
     global $post;
     if ( is_single() ) {
        return dirname(__FILE__) . '/comments.php';
     }
}

add_filter( "comments_template", "my_plugin_comment_template" );


add_action( 'admin_menu', 'wpdcd_add_admin_menu' ); 
add_action( 'admin_init', 'wpdcd_settings_init' );


function wpdcd_add_admin_menu(  ) {  // added options page in WP back

	add_options_page( 'Disable Comments Date', 'Disable Comments Date', 'manage_options', 'disable_comments_date', 'wpdcd_options_page' );

}

function wpdcd_settings_init(  ) {  //defined my awesome best epic drops ultra kill hard massive plugin options 

	register_setting( 'pluginPage', 'wpdcd_settings' );

	add_settings_section(
		'wpdcd_pluginPage_section', 
		__( 'Zarządzaj Wtyczką Disable Commments Date', 'wordpress' ), 
		'wpdcd_settings_section_callback', 
		'pluginPage'
	);

	add_settings_field( 
		'wpdcd_select_field_0', 
		__( 'Wybierz skórkę  komentarzy', 'wordpress' ), 
		'wpdcd_select_field_0_render', 
		'pluginPage', 
		'wpdcd_pluginPage_section' 
	);
    
  add_settings_field( 
  'wpdcd_text_field_1', 
  __( 'ID do kontenera z komentarzami', 'wordpress' ), 
  'wpdcd_text_field_1_render', 
  'pluginPage', 
  'wpdcd_pluginPage_section' 
  );
  
  add_settings_field( 
  'wpdcd_text_field_2', 
  __( 'Dodatkowe kalsy dla kontenera z komentarzami (oddzielane spacjami)', 'wordpress' ), 
  'wpdcd_text_field_2_render', 
  'pluginPage', 
  'wpdcd_pluginPage_section' 
  );

	add_settings_field( 
		'wpdcd_checkbox_field_1', 
		__( 'Dodaj div zamykający przed sekcją komentarzy', 'wordpress' ), 
		'wpdcd_checkbox_field_1_render', 
		'pluginPage', 
		'wpdcd_pluginPage_section' 
	);

	add_settings_field( 
		'wpdcd_checkbox_field_2', 
		__( 'Dodaj div zamykający po sekcji komentarzy', 'wordpress' ), 
		'wpdcd_checkbox_field_2_render', 
		'pluginPage', 
		'wpdcd_pluginPage_section' 
    );
    
    add_settings_field( 
		'wpdcd_checkbox_field_3', 
		__( 'Pokaż date komentarzy', 'wordpress' ), 
		'wpdcd_checkbox_field_3_render', 
		'pluginPage', 
		'wpdcd_pluginPage_section' 
    );
    
    add_settings_field( 
    'wpdcd_checkbox_field_4', 
    __( 'Dodaj "Float: left" (jeśli sekcja komentarzy nie wyświetla się poprawnie)', 'wordpress' ), 
    'wpdcd_checkbox_field_4_render', 
    'pluginPage', 
    'wpdcd_pluginPage_section' 
    );
    
    add_settings_field( 
    'wpdcd_checkbox_field_5', 
    __( 'Formularz w środku kontenera z komentarzami', 'wordpress' ), 
    'wpdcd_checkbox_field_5_render', 
    'pluginPage', 
    'wpdcd_pluginPage_section' 
    );
    
    add_settings_field( 
    'wpdcd_textarea_field_1', 
    __( 'Własny CSS', 'wordpress' ), 
    'wpdcd_textarea_field_1_render', 
    'pluginPage', 
    'wpdcd_pluginPage_section' 
    );


}


function wpdcd_select_field_0_render(  ) {  // select options to swich css

	$options = get_option( 'wpdcd_settings' );
	?>
	<select id="themeChanger" name='wpdcd_settings[wpdcd_select_field_0]'>
		<option value='1' <?php selected( $options['wpdcd_select_field_0'], 1 ); ?>>Default</option>
		<option value='2' <?php selected( $options['wpdcd_select_field_0'], 2 ); ?>>Simple Rounded</option>
		<option value='3' <?php selected( $options['wpdcd_select_field_0'], 3 ); ?>>No avatar</option>
		<option value='4' <?php selected( $options['wpdcd_select_field_0'], 4 ); ?>>Green Swirl</option>
		<option value='5' <?php selected( $options['wpdcd_select_field_0'], 5 ); ?>>Green & Orange FlatDes</option>
	</select>

<?php

}


function wpdcd_checkbox_field_1_render(  ) {  

	$options = get_option( 'wpdcd_settings' );
	?>
	<input type='checkbox' name='wpdcd_settings[wpdcd_checkbox_field_1]' <?php checked( $options['wpdcd_checkbox_field_1'], 1 ); ?> value='1'>
	<?php

}


function wpdcd_checkbox_field_2_render(  ) { 

	$options = get_option( 'wpdcd_settings' );
	?>
	<input type='checkbox' name='wpdcd_settings[wpdcd_checkbox_field_2]' <?php checked( $options['wpdcd_checkbox_field_2'], 1 ); ?> value='1'>
	<?php

}

function wpdcd_checkbox_field_3_render(  ) { 

	$options = get_option( 'wpdcd_settings' );
	?>
	<input type='checkbox' name='wpdcd_settings[wpdcd_checkbox_field_3]' <?php checked( $options['wpdcd_checkbox_field_3'], 1 ); ?> value='1'>
	<?php

}

function wpdcd_checkbox_field_4_render(  ) { 

  $options = get_option( 'wpdcd_settings' );
  ?>
  <input type='checkbox' name='wpdcd_settings[wpdcd_checkbox_field_4]' <?php checked( $options['wpdcd_checkbox_field_4'], 1 ); ?> value='1'>
  <?php

}

function wpdcd_checkbox_field_5_render(  ) { 

  $options = get_option( 'wpdcd_settings' );
  ?>
  <input type='checkbox' name='wpdcd_settings[wpdcd_checkbox_field_5]' <?php checked( $options['wpdcd_checkbox_field_5'], 1 ); ?> value='1'>
  <?php

}

function wpdcd_text_field_1_render(  ) { 

  $options = get_option( 'wpdcd_settings' );
  ?>
  <input type='text' name='wpdcd_settings[wpdcd_text_field_1]' value='<?php echo $options['wpdcd_text_field_1'] ?>'>
  <?php

}

function wpdcd_text_field_2_render(  ) { 

  $options = get_option( 'wpdcd_settings' );
  ?>
  <input type='text' name='wpdcd_settings[wpdcd_text_field_2]' value='<?php echo $options['wpdcd_text_field_2'] ?>'>
  <?php

}

function wpdcd_textarea_field_1_render(  ) { 

	$options = get_option( 'wpdcd_settings' );
	?>
	<textarea name='wpdcd_settings[wpdcd_textarea_field_1]' rows="10"><?php echo $options['wpdcd_textarea_field_1'] ?></textarea>
	<?php

}


function wpdcd_settings_section_callback(  ) { 

	echo __( 'Wtyczka umożliwia dodanie dwóch divów gdy komentarze się rozjeżdzają oraz wprowadza szablony dla komentarzy (bez dat).', 'wordpress' );

}


function wpdcd_options_page(  ) { 

	?>
  <div class="plugin-form-settings">
  	<form action='options.php' method='post'>

  		<h2>Disable Comments Date - Opcje wtyczki</h2>

  		<?php
  		settings_fields( 'pluginPage' );
  		do_settings_sections( 'pluginPage' );
  		submit_button();
  		?>

  	</form>
  </div>
  <div class="screenshot">
  	<h2>Podgląd motywu komentarzy</h2>
  	
  	<div class="current-theme" data-plugin-theme-url="<?php echo plugin_dir_url(__FILE__)?>"></div>
  </div>
  <div style="clear: both;"></div>
	<?php

}

?>
<?php
function myplug_comment($comment, $args, $depth) {
    if ( 'div' === $args['style'] ) {
        $tag       = 'div';
        $add_below = 'dcd-comment';
    } else {
        $tag       = 'li';
        $add_below = 'dcd-div-comment';
    }?>
    <<?php echo $tag; ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ); ?> id="dcd-comment-<?php comment_ID() ?>"><?php 
    if ( 'div' != $args['style'] ) { ?>
        <div id="dcd-div-comment-<?php comment_ID() ?>" class="dcd-comment-body"><?php
    } ?>
        <div class="dcd-comment-author dcd-vcard"><?php 
            if ( $args['avatar_size'] != 0 ) {
                echo get_avatar( $comment, $args['avatar_size'] ); 
            } 
            printf( __( '<cite class="dcd-fn">%s</cite>' ), get_comment_author_link() ); ?>
        </div><?php 
        if ( $comment->comment_approved == '0' ) { ?>
            <em class="dcd-comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.' ); ?></em><br/><?php 
        } ?>
        <div class="dcd-comment-meta dcd-commentmetadata"> 
               <?php
                    $options = get_option( 'wpdcd_settings' );
                    if ( $options['wpdcd_checkbox_field_3'] == '1' ) {?>
            <a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ); ?>"><?php
                /* translators: 1: date, 2: time */
                printf( 
                    __('%1$s at %2$s'), 
                    get_comment_date(),  
                    get_comment_time() 
                ); ?>
                    </a><?php  }
            edit_comment_link( __( '(Edit)' ), '  ', '' ); ?>
        </div>

				<div class="dcd-comment-text">
					<?php comment_text(); ?>
				</div>
        

        <span class="dcd-reply">
            <?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] )) ) ?>
        </span>
                    
                    <?php 
    if ( 'div' != $args['style'] ) : ?>
        </div><?php 
    endif;
}


